/**
 * 
 */
package org.vdlp.aaee.cicd;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * Isidoro Nevares Martín - Virgen de la Paloma Fecha creación: 26 feb 2026
 */
public class AppPrincipal {
    private static final Logger logger = LogManager.getLogger(AppPrincipal.class);

    /**
     * @param args
     */
    public static void main(String[] args) {

        String nombre = "XXX YYY ZZZ"; // Cambiar por tu nombre completo

        if (args.length > 0) {
            nombre = args[0];
        }
        System.out.println(System.getProperty("user.dir"));

        logger.info("logger.info: Hola, soy {} y este es mi primer proyecto en AAEE para CI/CD.", nombre);

        System.out.println("System.out.println: Hola, soy " + nombre + " y este es mi primer proyecto en AAEE para CI/CD.");
    }

}
